org.eclipse.viatra.query.tooling.generator.model.serializer

## Class GeneratorModelSyntacticSequencer

- java.lang.Object
- - org.eclipse.xtext.serializer.sequencer.AbstractSyntacticSequencer
  - - org.eclipse.viatra.query.tooling.generator.model.serializer.GeneratorModelSyntacticSequencer

- All Implemented Interfaces:
    org.eclipse.xtext.serializer.acceptor.ISemanticSequenceAcceptor, org.eclipse.xtext.serializer.sequencer.ISyntacticSequencer

      public class GeneratorModelSyntacticSequencer
      extends org.eclipse.xtext.serializer.sequencer.AbstractSyntacticSequencer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.serializer.sequencer.AbstractSyntacticSequencer

      `org.eclipse.xtext.serializer.sequencer.AbstractSyntacticSequencer.SyntacticalContext`

    - ### Nested classes/interfaces inherited from interface org.eclipse.xtext.serializer.sequencer.ISyntacticSequencer

      `org.eclipse.xtext.serializer.sequencer.ISyntacticSequencer.ISyntacticSequencerOwner`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected GeneratorModelGrammarAccess` | `grammarAccess`

    - ### Fields inherited from class org.eclipse.xtext.serializer.sequencer.AbstractSyntacticSequencer

      `contexts, delegate, diagnosticProvider, errorAcceptor, pdaProvider, tokenUtil`

    - ### Fields inherited from interface org.eclipse.xtext.serializer.acceptor.ISemanticSequenceAcceptor

      `NO_INDEX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeneratorModelSyntacticSequencer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `emitUnassignedTokens(org.eclipse.emf.ecore.EObject semanticObject, org.eclipse.xtext.serializer.analysis.ISyntacticSequencerPDAProvider.ISynTransition transition, org.eclipse.xtext.nodemodel.INode fromNode, org.eclipse.xtext.nodemodel.INode toNode)`
    `protected java.lang.String` | `getUnassignedRuleCallToken(org.eclipse.emf.ecore.EObject semanticObject, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.nodemodel.INode node)`
    `protected void` | `init(org.eclipse.xtext.IGrammarAccess access)`

    - ### Methods inherited from class org.eclipse.xtext.serializer.sequencer.AbstractSyntacticSequencer

      `accept, accept, acceptAssignedCrossRefDatatype, acceptAssignedCrossRefEnum, acceptAssignedCrossRefKeyword, acceptAssignedCrossRefTerminal, acceptAssignedDatatype, acceptAssignedEnum, acceptAssignedKeyword, acceptAssignedTerminal, acceptNode, acceptNodes, acceptNodes, acceptUnassignedAction, acceptUnassignedDatatype, acceptUnassignedEnum, acceptUnassignedKeyword, acceptUnassignedTerminal, collectAbstractElements, collectNodes, enterAssignedAction, enterAssignedParserRuleCall, findTransition, finish, getLastLeaf, getLastNavigableState, getNodesFor, getTokenText, getUnassignedRuleCallToken, init, init, leaveAssignedAction, leaveAssignedParserRuleCall, navigateToAbsorber, navigateToAbsorber, navigateToEmitter, navigateToEmitter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### grammarAccess

          protected GeneratorModelGrammarAccess grammarAccess

  - ### Constructor Detail

    - #### GeneratorModelSyntacticSequencer

          public GeneratorModelSyntacticSequencer()

  - ### Method Detail

    - #### init

          @Inject
          protected void init(org.eclipse.xtext.IGrammarAccess access)

    - #### getUnassignedRuleCallToken

          protected java.lang.String getUnassignedRuleCallToken(org.eclipse.emf.ecore.EObject semanticObject,
                                                                org.eclipse.xtext.RuleCall ruleCall,
                                                                org.eclipse.xtext.nodemodel.INode node)

      Overrides:
        `getUnassignedRuleCallToken` in class `org.eclipse.xtext.serializer.sequencer.AbstractSyntacticSequencer`

    - #### emitUnassignedTokens

          protected void emitUnassignedTokens(org.eclipse.emf.ecore.EObject semanticObject,
                                              org.eclipse.xtext.serializer.analysis.ISyntacticSequencerPDAProvider.ISynTransition transition,
                                              org.eclipse.xtext.nodemodel.INode fromNode,
                                              org.eclipse.xtext.nodemodel.INode toNode)

      Specified by:
        `emitUnassignedTokens` in class `org.eclipse.xtext.serializer.sequencer.AbstractSyntacticSequencer`